Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CurrentA.cpp File Reference

`#include "CurrentC.h"`
`#include "CurrentA.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Impl_T.h"`

Include dependency graph for CurrentA.cpp:

## Namespaces
namespace | CORBA
## Functions
CORBA::TypeCode | _tc_TAO_tc_CORBA_Current (CORBA::tk_objref, sizeof(_oc_CORBA_Current),(char *)&_oc_CORBA_Current, 0, sizeof(CORBA::Current))
void | operator<<= (CORBA::Any &_tao_any, CORBA::Current_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::Current_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::Current_ptr &_tao_elem)
## Variables
const CORBA::Long | _oc_CORBA_Current []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CORBA_Current | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_CORBA_Current) | ,
|  | (char *)& | _oc_CORBA_Current,
|  | 0 | ,
|  | sizeof(CORBA::Current) |
| ) | `[static]`

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::Current_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::Current_ptr | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::Current_ptr & | _tao_elem
| ) |

## Variable Documentation

const CORBA::Long _oc_CORBA_Current[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      30,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f4375),
      ACE_NTOHL (0x7272656e),
      ACE_NTOHL (0x743a312e),
      ACE_NTOHL (0x30000000),
        8,
      ACE_NTOHL (0x43757272),
      ACE_NTOHL (0x656e7400),
      }